
$("#btnSave").on('click',function(e){
    var formData = $('#form-stock-in').serializeArray()
    let data_id = $('#data-id').val();
    let url = (data_id < 1 ? save_url : update_url);
    $.ajax({
        url: url,
        type: "POST",
        data: formData,
        dataType: "json",
        success: function (res) {
            handleMessage(res.success, res.message)
            if(res.success) setTimeout(function () {location.reload()}, messageDuration)
        }
    });
});

function delete_data(uid){
    Swal.fire({
        text: confirm_delete_record,
        icon: 'question',
        showCancelButton: true,
        cancelButtonClass:'danger',
        confirmButtonText: confirm_ok_delete,
        cancelButtonText: confirm_cancel
    }).then((result) => {
        if (result.value) {
            $.ajax({
                url: delete_url,
                method:'POST',
                data:{
                    "_token": csrf_token,
                    uid : uid,
                },
                success:function(res){
                    handleMessage(res.success, res.message)
                    if(res.success) setTimeout(function () {location.reload()}, messageDuration)
                }
            })

        }
    });
}

$('#modal-medicine-purchase').on('show.bs.modal', function (event) {
    var button = $(event.relatedTarget) // Button that triggered the modal
    var action = button.data('action') // Extract info from data-* attributes
    var modal = $(this);
    $('#purchase_detail_body').empty();
    if(action === "new"){
        // Clear inputs
        modal.find('.modal-body input[name="uid"]').val(0);
        modal.find('.modal-body .clearable').val("");
        modal.find('.modal-title').html(modal_add_title);
        modal.find('.modal-body select[name="supplier_id"]').val("").trigger("change");
    }else if(action === "edit"){
        uid = button.data('uid');
        modal.find('.modal-body input[name="uid"]').val(uid);
        modal.find('.modal-title').html(modal_edit_title);
        $.ajax({
            url: get_url,
            type:"POST",
            data:{
                "_token": csrf_token,
                uid: uid,
            },
            success:function(res){
                let data = res.data;

                modal.find('.modal-body input[name="grn_number"]').val(data.grn_number);
                modal.find('.modal-body input[name="po_number"]').val(data.po_number);
                modal.find('.modal-body input[name="received_date"]').val(data.received_date);
                modal.find('.modal-body #note').val(data.description);
                modal.find('.modal-body select[name="supplier"]').val(data.supplier_id).trigger('change');
                data.purchase_detail.map(item=>{
                    addPurchasedMedicalItem(item)
                })

                if(!res.success)handleMessage(res.success, res.message)
            }
        });
    }
})

//
// function addNewMedicine(patientElementId){
//     Swal.fire({
//         html:"<p style='float: left;'>Medicine Name</p>",
//         input: "text",
//         showCancelButton: !0,
//         confirmButtonText: "<i class='fa fa-save mr-2'></i>Save",
//         cancelButtonText: "Cancel",
//         showLoaderOnConfirm: !1,
//         confirmButtonColor: "#844fc1",
//         cancelButtonColor: "#cbcbcb",
//         preConfirm: function (n) {
//             return new Promise(function (t) {
//                 $.ajax({
//                     url: medicine_base_url + '/save',
//                     method:'post',
//                     dataType:'json',
//                     data:{
//                         "_token": csrf_token,
//                         name_en: n
//                     },
//                     success:function(r)
//                     {
//                         if(r.success !== true){
//                             Swal.showValidationMessage('Failed while saving medicine name. ' + r.errors)
//                             Swal.enableButtons()
//                         }
//                         else t(r.data)
//                     }
//                 })
//             })
//         },
//         allowOutsideClick:!1,
//     }).then(function (t) {
//         if(!t.dismiss){
//             t.value.map(item =>{
//                 var patientOption = document.createElement('OPTION');
//                 patientOption.setAttribute('value',item.id);
//                 patientOption.setAttribute('selected','selected');
//                 patientOption.text = item.name;
//                 $('#'+patientElementId).append(patientOption);
//             })
//         }
//     })
// }
//
// function editMedicineName(testId,oldName, patientElementId){
//     Swal.fire({
//         html:"<p style='float: left;'>Medicine Name</p>",
//         input: "text",
//         inputValue: oldName,
//         showCancelButton: !0,
//         confirmButtonText: "<i class='fa fa-save mr-2'></i>Save",
//         cancelButtonText: "Cancel",
//         showLoaderOnConfirm: !1,
//         confirmButtonColor: "#844fc1",
//         cancelButtonColor: "#cbcbcb",
//         preConfirm: function (n) {
//             return new Promise(function (t) {
//                 $.ajax({
//                     url: medicine_base_url + '/update',
//                     method:'post',
//                     dataType:'json',
//                     data:{
//                         "_token": csrf_token,
//                         uid: testId,
//                         name_en: n
//                     },
//                     success:function(r)
//                     {
//                         if(r.success !== true){
//                             Swal.showValidationMessage('Failed while saving medicine name. ' + r.errors)
//                             Swal.enableButtons()
//                         }
//                         else t(r.data)
//                     }
//                 })
//             })
//         },
//         allowOutsideClick:!1,
//     }).then(function (t) {
//         if(!t.dismiss){
//             t.value.map(item =>{
//                 var patientOption = document.createElement('OPTION');
//                 patientOption.setAttribute('value',item.id);
//                 patientOption.setAttribute('selected','selected');
//                 patientOption.text = item.name;
//                 $('#'+patientElementId).append(patientOption);
//             })
//         }
//     })
// }
